POST
/docs/{docId}/removeMove document to trash
Soft-delete the document by moving it to trash. The document can be
restored using the unremove endpoint. If the permanent query parameter
is set to true, the document is permanently deleted instead.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
docIdstringrequired
A string id (UUID)
permanentbooleanoptional
If true, permanently delete instead of moving to trash
200Document moved to trash (or permanently deleted)
